Skip to main content
`Ctrl`+`K`

# TSForwardGetStages

Get the number of stages and the tangent linear sensitivities at the intermediate stages

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSForwardGetStages(TS ts, PetscInt *ns, Mat **S)

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameters

- ns - number of stages

- S - tangent linear sensitivities at the intermediate stages

## See Also

`TS`

## Level

advanced

## Location

src/ts/interface/sensitivity/tssen.c

## Implementations

TSForwardGetStages_RK() in src/ts/impls/explicit/rk/rk.c
TSForwardGetStages_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages